/*	IBM Confidential
 *
 *	(c) Copyright IBM Corp. 2000, 2007 All Rights Reserved.
 *
 *	The source code for this program is not published or otherwise
 *	divested of its trade secrets, irrespective of what has been
 *	deposited with the U.S. Copyright Office.
 */
using Rational.Test.Ft.Domain;
using Rational.Test.Ft.Domain.Net;

namespace SDK.Sample
{
	/// <summary>
	/// Summary description for ExtendedButtonProxy.
	/// </summary>
	public class ExtendedButtonProxy:ButtonProxy
	{
		/// <summary>
		/// 
		/// </summary>
		/// <param name="domain"></param>
		/// <param name="channel"></param>
		/// <param name="theAUTObject"></param>
		public ExtendedButtonProxy(NetTestDomainImplementation domain,
			IChannel channel,
			System.Object theAUTObject): base( domain, channel, theAUTObject)
		{
		}
		/// <summary>
		/// 
		/// </summary>
		/// <returns></returns>
		public override string GetDescriptiveName()
		{
			return this.theTestObject.GetType().Name + "_" + base.GetDescriptiveName();
		}

	}
}
