using Rational.Test.Ft.Domain;
using Rational.Test.Ft.Domain.Net;
using Rational.Test.Ft.Script; 

namespace SDK.Sample
{
	/// <summary>
	/// Summary description for CheckboxProxy.
	/// </summary>
	public class ExtendedCheckBoxProxy : CheckBoxProxy
	{
		/// <summary>
		/// 
		/// </summary>
		/// <param name="domain"></param>
		/// <param name="channel"></param>
		/// <param name="theAUTObject"></param>
		public ExtendedCheckBoxProxy(NetTestDomainImplementation domain,
			IChannel channel,
			System.Object theAUTObject): base( domain, channel, theAUTObject)
		{
		}

		/// <summary>
		/// 
		/// </summary>
		/// <returns>The Connanical name of the newly defind TestObject</returns>
		public override string GetTestObjectClassName()
		{
			return "ExtendedToggleGUITestObject";
		}

		/// <summary>
		/// 
		/// </summary>
		void Check()
		{
			base.ClickToState(Rational.Test.Ft.Script.State.Selected());
		}

		/// <summary>
		/// 
		/// </summary>
		void Uncheck()
		{
			base.ClickToState(Rational.Test.Ft.Script.State.NotSelected());
		}

	}
}
